به بخش پرسش و پاسخ یادگیری عمیق خوش آمدید,
این نسخه آزمایشی سایت است.
لطفا به نکات زیر توجه کنید:
  • برای ارتباط با مدیران میتوانید از صفحه مدیران اقدام کنید.
  • سوال و جواب ها باید به زبان فارسی باشند. استفاده از زبان انگلیسی یا فینگلیش برای پاسخ دادن مجاز نیست.
  • لطفا بعد از پرسش سوال لینک سوال خود را در گرو تلگرام (Iran Deep Learning Group) معرفی کنید تا سریعتر به جواب برسید. برای دسترسی به آخرین لینک از منابع یادگیری استفاده کنید
  • لطفا بجای عکس از متن استفاده کنید. اگر متون طولانی هستند از سایت pastebin.com برای اپلود استفاده کرده و لینک حاصل را در سوال خود قرار دهید. برای قرار دادن تصویر ، از بخش ارسال تصویر ادیتور سایت استفاده کنید.
  • بعد از دریافت پاسخ، بهترین پاسخ را از طریق کلیک بر روی علامت تیک انتخاب کنید
  • اگر با خطا و یا مشکلی مواجه شدید از بخش تماس با ما در انتهای صفحه و یا ایمیل Coderx7@gmail.com موضوع را اطلاع دهید.

با تشکر

0 امتیاز

سلام
من یه مشکل در نصب پایتون در سرور centos دارم و اینترنت را جستجو کردم اما هیچ راه حلی به من جواب نداده است.

در سرور امکان نصب (به صورت پیش فرض) روی سرور وجود ندارد و باید هر چیزی برای کاربری که تخصیص داده شده است در پوشه خانگی نصب شود.
تا به حال من miniconda و پایتون 3.7 را نصب کردم و تعدادی از پکیج ها را که کوچک می باشند را نصب کردم. اما برخی پکیج ها که بزرگ هستن با مشکل مواجه می شود و امکان نصب
ندارند. از طرفی وقتی که پکیج های بزرگ را نصب می کنم دیگه امکان نصب پکیج های کوچک وجود نداره.

اینطور به نظر میرسه که پکیج های بزرگ باید کتابخانه ها و برخی اطلاعات دیگر را در دایرکتوری هایی بریزند که کاربر غیر sudo امکان دسترسی ندارد و دستور conda قادر به نصب آن ها نمی باشد.

چنین اروری می دهد:
image

متن خطا :

Traceback (most recent call last):
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/conda/gateways/connection/__init__.py", line 19, in <module>
        from requests import ConnectionError, HTTPError, Session
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/requests/__init__.py", line 112, in <module>
        from . import utils
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/requests/utils.py", line 24, in <module>
        from . import certs
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/requests/certs.py", line 15, in <module>
        from certifi import where
    ModuleNotFoundError: No module named 'certifi'

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/conda/exceptions.py", line 819, in __call__
        return func(*args, **kwargs)
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/conda/cli/main.py", line 78, in _main
        exit_code = do_call(args, p)
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/conda/cli/conda_argparse.py", line 76, in do_call
        module = import_module(relative_mod, __name__.rsplit('.', 1)[0])
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/importlib/__init__.py", line 127, in import_module
        return _bootstrap._gcd_import(name[level:], package, level)
      File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
      File "<frozen importlib._bootstrap>", line 983, in _find_and_load
      File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
      File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
      File "<frozen importlib._bootstrap_external>", line 728, in exec_module
      File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/conda/cli/main_install.py", line 6, in <module>
        from .install import install
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/conda/cli/install.py", line 20, in <module>
        from ..core.index import calculate_channel_urls, get_index
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/conda/core/index.py", line 7, in <module>
        from .package_cache_data import PackageCacheData
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/conda/core/package_cache_data.py", line 13, in <module>
        from .path_actions import CacheUrlAction, ExtractPackageAction
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/conda/core/path_actions.py", line 25, in <module>
        from ..gateways.connection.download import download
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/conda/gateways/connection/__init__.py", line 36, in <module>
        from pip._vendor.requests import ConnectionError, HTTPError, Session
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/pip/_vendor/requests/__init__.py", line 94, in <module>
        from pip._internal.utils.compat import WINDOWS
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/pip/_internal/__init__.py", line 40, in <module>
        from pip._internal.cli.autocompletion import autocomplete
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/pip/_internal/cli/autocompletion.py", line 8, in <module>
        from pip._internal.cli.main_parser import create_main_parser
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/pip/_internal/cli/main_parser.py", line 12, in <module>
        from pip._internal.commands import (
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/pip/_internal/commands/__init__.py", line 6, in <module>
        from pip._internal.commands.completion import CompletionCommand
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/pip/_internal/commands/completion.py", line 6, in <module>
        from pip._internal.cli.base_command import Command
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/pip/_internal/cli/base_command.py", line 18, in <module>
        from pip._internal.download import PipSession
      File "/home/mustafa_mohammadi/miniconda3/lib/python3.7/site-packages/pip/_internal/download.py", line 325, in <module>
        class PipSession(requests.Session):
    AttributeError: module 'pip._vendor.requests' has no attribute 'Session'

`$ /home/mustafa_mohammadi/miniconda3/bin/conda install sip-4.19.8-py36hf484d3e_0.tar.bz2`

  environment variables:
                 CIO_TEST=<not set>
               CONDA_ROOT=/home/mustafa_mohammadi/miniconda3
          LD_LIBRARY_PATH=/opt/gridengine/lib/lx-amd64:/opt/openmpi/lib:/usr/lib64:/usr/lib:/sha
                          re/apps/atlas/lib:/share/apps/boost/1.54.0/lib:/share/apps/bzip2/1.0.6
                          /bin:/share/apps/curl/7.51.0/lib:/share/apps/fdk-aac/0.1.4/lib:/share/
                          apps/ffmpeg/2.8.6/lib:/share/apps/fftw/3.3.4/lib:/share/apps/freeglut/
                          2.8.1/lib:/share/apps/fribidi/0.19.7/lib:/share/apps/gcc/5.2.0/lib64:/
                          share/apps/gcc/5.2.0/lib:/share/apps/gcc/4.9.0/lib64:/share/apps/gcc/4
               MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
                     PATH=/home/mustafa_mohammadi/miniconda3/bin:/opt/openmpi/bin:/usr/lib64/qt-
                          3.3/bin:/usr/local/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/share/apps/
                          bin:/share/apps/atlas/bin:/share/apps/boost/1.54.0/include/boost:/shar
                          e/apps/bzip2/1.0.6/lib:/share/apps/cmake/2.8.11/bin:/share/apps/curl/7
                          .51.0/bin:/share/apps/fdk-aac/0.1.4/bin:/share/apps/ffmpeg/2.8.6/bin:/
       REQUESTS_CA_BUNDLE=<not set>
            SSL_CERT_FILE=<not set>

     active environment : None
       user config file : /home/mustafa_mohammadi/.condarc
 populated config files : /home/mustafa_mohammadi/.condarc
          conda version : 4.5.11
    conda-build version : not installed
         python version : 3.7.0.final.0
       base environment : /home/mustafa_mohammadi/miniconda3  (writable)
           channel URLs : https://repo.anaconda.com/pkgs/main/linux-64
                          https://repo.anaconda.com/pkgs/main/noarch
                          https://repo.anaconda.com/pkgs/free/linux-64
                          https://repo.anaconda.com/pkgs/free/noarch
                          https://repo.anaconda.com/pkgs/r/linux-64
                          https://repo.anaconda.com/pkgs/r/noarch
                          https://repo.anaconda.com/pkgs/pro/linux-64
                          https://repo.anaconda.com/pkgs/pro/noarch
          package cache : /home/mustafa_mohammadi/miniconda3/pkgs
                          /home/mustafa_mohammadi/.conda/pkgs
       envs directories : /home/mustafa_mohammadi/miniconda3/envs
                          /home/mustafa_mohammadi/.conda/envs
               platform : linux-64
             user-agent : conda/4.5.11 requests/2.19.1 CPython/3.7.0 Linux/3.10.0-693.5.2.el7.x86_64 centos/7 glibc/2.17
                UID:GID : 1022:1022
             netrc file : None
           offline mode : False

اگر بتونید کمک کنید تا پکیج های مورد نیازم را نصب کنم ممنون میشیم.

سوال شده توسط (115 امتیاز)
ویرایش شده توسط
سلام. ببخشید دیر جواب دادم.  به خاطر محدودیت تعداد کاراکتر کمی خلاصه سازی کردم
سلام. خطای اصلی شما ModuleNotFoundError: No module named 'certifi هست . اینو رفع کنید.
سلام. خیلی ممنون از پاسختون. ولی نمیدونم این را چطوری بر طرف کنم. یک ماژولی است که باید نصب شود و من در نصب مشکل دارم زیرا وقتی که این خطا را میدهد روی همه پکیج ها این خطا تکرار می شود.
یعنی شده من مثلا یک پکیج را نصب کردم و این خطا را نداده. بعد رفتم یک پکیج دیگه را نصب کردم این خطا را داده. بعد از دادن این خطا وقتی  نصب را روی پکیج قبلی که این خطا را نداده بود اجرا می کنم، خطا تکرار می شود. درحالی که قبل از این خطا آن پکیج نصب می شد.
خیلی خطای گیج کننده ای است :)
ولی باز هم میرم مترکز میشم ببینم چی هست. ممنون

لطفا وارد شده یا عضو شوید تا بتوانید سوال بپرسید

...